## org.eclipse.emf.codegen.ecore.genmodel.presentation
Class GenModelActionBarContributor.ProjectType

    java.lang.Object
      org.eclipse.emf.codegen.ecore.genmodel.presentation.GenModelActionBarContributor.ProjectType

Enclosing class:
  GenModelActionBarContributor

    protected static class GenModelActionBarContributor.ProjectType

extends java.lang.Object

Field Summary
`protected java.lang.String` `name`
`protected java.lang.Object` `type`

Constructor Summary
`GenModelActionBarContributor.ProjectType(java.lang.Object type, java.lang.String name)`

Method Summary
`java.lang.String` `getName()`
`java.lang.Object` `getType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected java.lang.Object type

### name

    protected java.lang.String name

Constructor Detail

### GenModelActionBarContributor.ProjectType

    public GenModelActionBarContributor.ProjectType(java.lang.Object type,
                                                    java.lang.String name)

Method Detail

### getType

    public java.lang.Object getType()

### getName

    public java.lang.String getName()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.